Bug 339910 - Akonadi refuses to start after upgrade to 1.12.1-r1 because table akonadi.parttable could not be created
Summary: Akonadi refuses to start after upgrade to 1.12.1-r1 because table akonadi.par...
Status: RESOLVED UNMAINTAINED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: server (show other bugs)
Version: 1.12.1
Platform: Gentoo Packages Linux
: NOR grave (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-12 18:50 UTC by redcap
Modified: 2017-01-08 00:06 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Akonadi selftest report (25.20 KB, text/plain)
2014-10-12 18:51 UTC, redcap
Details
akonadictl output (23.14 KB, text/plain)
2014-10-12 18:51 UTC, redcap
Details

Note You need to log in before you can comment on or make changes to this bug.
Description redcap 2014-10-12 18:50:07 UTC
I updated the akonadi-server package to version 1.12.1-r1 from the Gentoo repo. After rebooting the akonadi-server refuses to start. I use an internal MySql Server as a database backend. Starting the akonadi sever from a console using "akonadictl start" shows that creating the table akonadi.parttable fails.

Reproducible: Always

Steps to Reproduce:
1. Try to start akonadi-server or any PIM application that uses it


Actual Results:  
See attached files below

Expected Results:  
Akonadi server should start normally.

Several people seemed to have encountered this bug. There is a discussion at
http://forums.gentoo.org/viewtopic-t-1001648.html?sid=7d5b7399a53f2cad19bc968bb6611025
Comment 1 redcap 2014-10-12 18:51:00 UTC
Created attachment 89101 [details]
Akonadi selftest report
Comment 2 redcap 2014-10-12 18:51:43 UTC
Created attachment 89102 [details]
akonadictl output
Comment 3 Beetle B. 2015-02-07 06:08:23 UTC
I have this exact same problem.

I thought it may be due to myisam, but mine are all innodb.

I haven't been able to get people's contact info from Kaddressbook for the last few months, and it is frustrating.

Any suggestions on how I can extract the contact info? I need this badly!

Also, see this thread:

https://forum.kde.org/viewtopic.php?f=215&t=123049
Comment 4 Denis Kurz 2016-09-24 20:38:06 UTC
This bug has only been reported for versions older than KDEPIM 4.14 (at most akonadi-1.3). Can anyone tell if this bug still present?

If noone confirms this bug for a recent version of akonadi (part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 5 Beetle B. 2016-09-26 03:35:41 UTC
akonadi version:

akonadi-server-1.13.1_pre20160203-r1

KDE PIM version:

4.14.11_pre20160211

I cannot get it to start:



beetle_b ~/lang/python/emailfilter $ akonadictl start                                                                                                                                            :-) 8:27PM [1129]
Starting Akonadi Server... 
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
   done. 
beetle_b ~/lang/python/emailfilter $ search paths:  ("/home/mueen/path", "/home/mueen/path/bin", "/home/mueen/.local/bin", "/home/mueen/path", "/home/mueen/path/bin", "/usr/local/bin", "/usr/bin", "/bin", "/opt/bin", "/usr/x86_64-pc-linux-gnu/gcc-bin/4.8.4", "/opt/nvidia-cg-toolkit/bin", "/usr/games/bin", "/usr/sbin", "/usr/local/sbin", "/usr/local/libexec", "/usr/libexec", "/usr/share/mysql/scripts", "/opt/mysql/libexec", "/opt/local/lib/mysql5/bin", "/opt/mysql/sbin") 
Found mysql_install_db:  "/usr/share/mysql/scripts/mysql_install_db" 
Found mysqlcheck:  "/usr/bin/mysqlcheck" 
Database process exited unexpectedly during initial connection!
executable: "/usr/sbin/mysqld"
arguments: ("--defaults-file=/home/mueen/.local/share/akonadi/mysql.conf", "--datadir=/home/mueen/.local/share/akonadi/db_data/", "--socket=/tmp/akonadi-mueen.aD6Erw/mysql.socket")
stdout: ""
stderr: "160925 20:31:03 [Note] /usr/sbin/mysqld (mysqld 10.0.25-MariaDB) starting as process 2018 ...
"
exit code: 1
process error: "Process operation timed out"
"[
0: akonadiserver(_Z11akBacktracev+0x4a) [0x4634da]
1: akonadiserver() [0x463754]
2: /lib64/libc.so.6(+0x33030) [0x7f8b480ff030]
3: /lib64/libc.so.6(gsignal+0x37) [0x7f8b480fefb7]
4: /lib64/libc.so.6(abort+0x16a) [0x7f8b4810031a]
5: /usr/lib64/qt4/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x64) [0x7f8b498e2ee4]
6: akonadiserver(_ZN15FileDebugStream9writeDataEPKcx+0xad) [0x46555d]
7: /usr/lib64/qt4/libQtCore.so.4(_ZN9QIODevice5writeEPKcx+0xb0) [0x7f8b4997bbf0]
8: /usr/lib64/qt4/libQtCore.so.4(+0x11926d) [0x7f8b4998b26d]
9: /usr/lib64/qt4/libQtCore.so.4(_ZN11QTextStreamD1Ev+0x31) [0x7f8b49993e51]
10: akonadiserver(_ZN6QDebugD1Ev+0x49) [0x45e6c9]
11: akonadiserver(_ZN7Akonadi6Server13DbConfigMysql19startInternalServerEv+0x1ecf) [0x4d1dff]
12: akonadiserver(_ZN7Akonadi6Server13AkonadiServer20startDatabaseProcessEv+0xff) [0x46615f]
13: akonadiserver(_ZN7Akonadi6Server13AkonadiServer4initEv+0xb8) [0x468848]
14: akonadiserver() [0x530cf9]
15: /usr/lib64/qt4/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x24e) [0x7f8b49a05ace]
16: /usr/lib64/qt4/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x6d) [0x7f8b499ed9cd]
17: /usr/lib64/qt4/libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x1ed) [0x7f8b499f0aed]
18: /usr/lib64/qt4/libQtCore.so.4(+0x1a8e4e) [0x7f8b49a1ae4e]
19: /usr/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x254) [0x7f8b477a7974]
20: /usr/lib64/libglib-2.0.so.0(+0x48bc8) [0x7f8b477a7bc8]
21: /usr/lib64/libglib-2.0.so.0(g_main_context_iteration+0x2c) [0x7f8b477a7c6c]
22: /usr/lib64/qt4/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x7e) [0x7f8b49a1a60e]
23: /usr/lib64/qt4/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x2f) [0x7f8b499ec58f]
24: /usr/lib64/qt4/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x175) [0x7f8b499ec885]
25: /usr/lib64/qt4/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x89) [0x7f8b499f1b29]
26: akonadiserver(main+0x1ed) [0x45db8d]
27: /lib64/libc.so.6(__libc_start_main+0xf5) [0x7f8b480ec6a5]
28: akonadiserver(_start+0x29) [0x45e439]
]
"
ProcessControl: Application 'akonadiserver' returned with exit code 255 (Unknown error)
search paths:  ("/home/mueen/path", "/home/mueen/path/bin", "/home/mueen/.local/bin", "/home/mueen/path", "/home/mueen/path/bin", "/usr/local/bin", "/usr/bin", "/bin", "/opt/bin", "/usr/x86_64-pc-linux-gnu/gcc-bin/4.8.4", "/opt/nvidia-cg-toolkit/bin", "/usr/games/bin", "/usr/sbin", "/usr/local/sbin", "/usr/local/libexec", "/usr/libexec", "/usr/share/mysql/scripts", "/opt/mysql/libexec", "/opt/local/lib/mysql5/bin", "/opt/mysql/sbin") 
Found mysql_install_db:  "/usr/share/mysql/scripts/mysql_install_db" 
Found mysqlcheck:  "/usr/bin/mysqlcheck" 
Database process exited unexpectedly during initial connection!
executable: "/usr/sbin/mysqld"
arguments: ("--defaults-file=/home/mueen/.local/share/akonadi/mysql.conf", "--datadir=/home/mueen/.local/share/akonadi/db_data/", "--socket=/tmp/akonadi-mueen.aD6Erw/mysql.socket")
stdout: ""
stderr: "160925 20:31:04 [Note] /usr/sbin/mysqld (mysqld 10.0.25-MariaDB) starting as process 2035 ...
"
exit code: 1
process error: "Unknown error"
"[
0: akonadiserver(_Z11akBacktracev+0x4a) [0x4634da]
1: akonadiserver() [0x463754]
2: /lib64/libc.so.6(+0x33030) [0x7f5e7937d030]
3: /lib64/libc.so.6(gsignal+0x37) [0x7f5e7937cfb7]
4: /lib64/libc.so.6(abort+0x16a) [0x7f5e7937e31a]
5: /usr/lib64/qt4/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x64) [0x7f5e7ab60ee4]
6: akonadiserver(_ZN15FileDebugStream9writeDataEPKcx+0xad) [0x46555d]
7: /usr/lib64/qt4/libQtCore.so.4(_ZN9QIODevice5writeEPKcx+0xb0) [0x7f5e7abf9bf0]
8: /usr/lib64/qt4/libQtCore.so.4(+0x11926d) [0x7f5e7ac0926d]
9: /usr/lib64/qt4/libQtCore.so.4(_ZN11QTextStreamD1Ev+0x31) [0x7f5e7ac11e51]
10: akonadiserver(_ZN6QDebugD1Ev+0x49) [0x45e6c9]
11: akonadiserver(_ZN7Akonadi6Server13DbConfigMysql19startInternalServerEv+0x1ecf) [0x4d1dff]
12: akonadiserver(_ZN7Akonadi6Server13AkonadiServer20startDatabaseProcessEv+0xff) [0x46615f]
13: akonadiserver(_ZN7Akonadi6Server13AkonadiServer4initEv+0xb8) [0x468848]
14: akonadiserver() [0x530cf9]
15: /usr/lib64/qt4/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x24e) [0x7f5e7ac83ace]
16: /usr/lib64/qt4/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x6d) [0x7f5e7ac6b9cd]
17: /usr/lib64/qt4/libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x1ed) [0x7f5e7ac6eaed]
18: /usr/lib64/qt4/libQtCore.so.4(+0x1a8e4e) [0x7f5e7ac98e4e]
19: /usr/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x254) [0x7f5e78a25974]
20: /usr/lib64/libglib-2.0.so.0(+0x48bc8) [0x7f5e78a25bc8]
21: /usr/lib64/libglib-2.0.so.0(g_main_context_iteration+0x2c) [0x7f5e78a25c6c]
22: /usr/lib64/qt4/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x7e) [0x7f5e7ac9860e]
23: /usr/lib64/qt4/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x2f) [0x7f5e7ac6a58f]
24: /usr/lib64/qt4/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x175) [0x7f5e7ac6a885]
25: /usr/lib64/qt4/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x89) [0x7f5e7ac6fb29]
26: akonadiserver(main+0x1ed) [0x45db8d]
27: /lib64/libc.so.6(__libc_start_main+0xf5) [0x7f5e7936a6a5]
28: akonadiserver(_start+0x29) [0x45e439]
]
"
ProcessControl: Application 'akonadiserver' returned with exit code 255 (Unknown error)
search paths:  ("/home/mueen/path", "/home/mueen/path/bin", "/home/mueen/.local/bin", "/home/mueen/path", "/home/mueen/path/bin", "/usr/local/bin", "/usr/bin", "/bin", "/opt/bin", "/usr/x86_64-pc-linux-gnu/gcc-bin/4.8.4", "/opt/nvidia-cg-toolkit/bin", "/usr/games/bin", "/usr/sbin", "/usr/local/sbin", "/usr/local/libexec", "/usr/libexec", "/usr/share/mysql/scripts", "/opt/mysql/libexec", "/opt/local/lib/mysql5/bin", "/opt/mysql/sbin") 
Found mysql_install_db:  "/usr/share/mysql/scripts/mysql_install_db" 
Found mysqlcheck:  "/usr/bin/mysqlcheck" 
Database process exited unexpectedly during initial connection!
executable: "/usr/sbin/mysqld"
arguments: ("--defaults-file=/home/mueen/.local/share/akonadi/mysql.conf", "--datadir=/home/mueen/.local/share/akonadi/db_data/", "--socket=/tmp/akonadi-mueen.aD6Erw/mysql.socket")
stdout: ""
stderr: "160925 20:31:05 [Note] /usr/sbin/mysqld (mysqld 10.0.25-MariaDB) starting as process 2049 ...
"
exit code: 1
process error: "Unknown error"
"[
0: akonadiserver(_Z11akBacktracev+0x4a) [0x4634da]
1: akonadiserver() [0x463754]
2: /lib64/libc.so.6(+0x33030) [0x7f8bb0e31030]
3: /lib64/libc.so.6(gsignal+0x37) [0x7f8bb0e30fb7]
4: /lib64/libc.so.6(abort+0x16a) [0x7f8bb0e3231a]
5: /usr/lib64/qt4/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x64) [0x7f8bb2614ee4]
6: akonadiserver(_ZN15FileDebugStream9writeDataEPKcx+0xad) [0x46555d]
7: /usr/lib64/qt4/libQtCore.so.4(_ZN9QIODevice5writeEPKcx+0xb0) [0x7f8bb26adbf0]
8: /usr/lib64/qt4/libQtCore.so.4(+0x11926d) [0x7f8bb26bd26d]
9: /usr/lib64/qt4/libQtCore.so.4(_ZN11QTextStreamD1Ev+0x31) [0x7f8bb26c5e51]
10: akonadiserver(_ZN6QDebugD1Ev+0x49) [0x45e6c9]
11: akonadiserver(_ZN7Akonadi6Server13DbConfigMysql19startInternalServerEv+0x1ecf) [0x4d1dff]
12: akonadiserver(_ZN7Akonadi6Server13AkonadiServer20startDatabaseProcessEv+0xff) [0x46615f]
13: akonadiserver(_ZN7Akonadi6Server13AkonadiServer4initEv+0xb8) [0x468848]
14: akonadiserver() [0x530cf9]
15: /usr/lib64/qt4/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x24e) [0x7f8bb2737ace]
16: /usr/lib64/qt4/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x6d) [0x7f8bb271f9cd]
17: /usr/lib64/qt4/libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x1ed) [0x7f8bb2722aed]
18: /usr/lib64/qt4/libQtCore.so.4(+0x1a8e4e) [0x7f8bb274ce4e]
19: /usr/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x254) [0x7f8bb04d9974]
20: /usr/lib64/libglib-2.0.so.0(+0x48bc8) [0x7f8bb04d9bc8]
21: /usr/lib64/libglib-2.0.so.0(g_main_context_iteration+0x2c) [0x7f8bb04d9c6c]
22: /usr/lib64/qt4/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x7e) [0x7f8bb274c60e]
23: /usr/lib64/qt4/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x2f) [0x7f8bb271e58f]
24: /usr/lib64/qt4/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x175) [0x7f8bb271e885]
25: /usr/lib64/qt4/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x89) [0x7f8bb2723b29]
26: akonadiserver(main+0x1ed) [0x45db8d]
27: /lib64/libc.so.6(__libc_start_main+0xf5) [0x7f8bb0e1e6a5]
28: akonadiserver(_start+0x29) [0x45e439]
]
"
ProcessControl: Application 'akonadiserver' returned with exit code 255 (Unknown error)
search paths:  ("/home/mueen/path", "/home/mueen/path/bin", "/home/mueen/.local/bin", "/home/mueen/path", "/home/mueen/path/bin", "/usr/local/bin", "/usr/bin", "/bin", "/opt/bin", "/usr/x86_64-pc-linux-gnu/gcc-bin/4.8.4", "/opt/nvidia-cg-toolkit/bin", "/usr/games/bin", "/usr/sbin", "/usr/local/sbin", "/usr/local/libexec", "/usr/libexec", "/usr/share/mysql/scripts", "/opt/mysql/libexec", "/opt/local/lib/mysql5/bin", "/opt/mysql/sbin") 
Found mysql_install_db:  "/usr/share/mysql/scripts/mysql_install_db" 
Found mysqlcheck:  "/usr/bin/mysqlcheck" 
Database process exited unexpectedly during initial connection!
executable: "/usr/sbin/mysqld"
arguments: ("--defaults-file=/home/mueen/.local/share/akonadi/mysql.conf", "--datadir=/home/mueen/.local/share/akonadi/db_data/", "--socket=/tmp/akonadi-mueen.aD6Erw/mysql.socket")
stdout: ""
stderr: "160925 20:31:05 [Note] /usr/sbin/mysqld (mysqld 10.0.25-MariaDB) starting as process 2063 ...
"
exit code: 1
process error: "Unknown error"
"[
0: akonadiserver(_Z11akBacktracev+0x4a) [0x4634da]
1: akonadiserver() [0x463754]
2: /lib64/libc.so.6(+0x33030) [0x7effc0259030]
3: /lib64/libc.so.6(gsignal+0x37) [0x7effc0258fb7]
4: /lib64/libc.so.6(abort+0x16a) [0x7effc025a31a]
5: /usr/lib64/qt4/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x64) [0x7effc1a3cee4]
6: akonadiserver(_ZN15FileDebugStream9writeDataEPKcx+0xad) [0x46555d]
7: /usr/lib64/qt4/libQtCore.so.4(_ZN9QIODevice5writeEPKcx+0xb0) [0x7effc1ad5bf0]
8: /usr/lib64/qt4/libQtCore.so.4(+0x11926d) [0x7effc1ae526d]
9: /usr/lib64/qt4/libQtCore.so.4(_ZN11QTextStreamD1Ev+0x31) [0x7effc1aede51]
10: akonadiserver(_ZN6QDebugD1Ev+0x49) [0x45e6c9]
11: akonadiserver(_ZN7Akonadi6Server13DbConfigMysql19startInternalServerEv+0x1ecf) [0x4d1dff]
12: akonadiserver(_ZN7Akonadi6Server13AkonadiServer20startDatabaseProcessEv+0xff) [0x46615f]
13: akonadiserver(_ZN7Akonadi6Server13AkonadiServer4initEv+0xb8) [0x468848]
14: akonadiserver() [0x530cf9]
15: /usr/lib64/qt4/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x24e) [0x7effc1b5face]
16: /usr/lib64/qt4/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x6d) [0x7effc1b479cd]
17: /usr/lib64/qt4/libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x1ed) [0x7effc1b4aaed]
18: /usr/lib64/qt4/libQtCore.so.4(+0x1a8e4e) [0x7effc1b74e4e]
19: /usr/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x254) [0x7effbf901974]
20: /usr/lib64/libglib-2.0.so.0(+0x48bc8) [0x7effbf901bc8]
21: /usr/lib64/libglib-2.0.so.0(g_main_context_iteration+0x2c) [0x7effbf901c6c]
22: /usr/lib64/qt4/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x7e) [0x7effc1b7460e]
23: /usr/lib64/qt4/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x2f) [0x7effc1b4658f]
24: /usr/lib64/qt4/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x175) [0x7effc1b46885]
25: /usr/lib64/qt4/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x89) [0x7effc1b4bb29]
26: akonadiserver(main+0x1ed) [0x45db8d]
27: /lib64/libc.so.6(__libc_start_main+0xf5) [0x7effc02466a5]
28: akonadiserver(_start+0x29) [0x45e439]
]
"
ProcessControl: Application 'akonadiserver' returned with exit code 255 (Unknown error)
"akonadiserver" crashed too often and will not be restarted!
Comment 6 Beetle B. 2016-10-26 02:20:55 UTC
Should add in mysql.err:

161025 19:18:28 [Note] InnoDB: Using mutexes to ref count buffer pool pages
161025 19:18:28 [Note] InnoDB: The InnoDB memory heap is disabled
161025 19:18:28 [Note] InnoDB: Mutexes and rw_locks use GCC atomic builtins
161025 19:18:28 [Note] InnoDB: Memory barrier is not used
161025 19:18:28 [Note] InnoDB: Compressed tables use zlib 1.2.8
161025 19:18:28 [Note] InnoDB: Using Linux native AIO
161025 19:18:28 [Note] InnoDB: Using CPU crc32 instructions
161025 19:18:28 [Note] InnoDB: Initializing buffer pool, size = 80.0M
161025 19:18:28 [Note] InnoDB: Completed initialization of buffer pool
161025 19:18:28 [ERROR] InnoDB: auto-extending data file ./ibdata1 is of a different size 640 pages (rounded down to MB) than specified in the .cnf file: initial 768 pages, max 0 (relevant if non-zero) pages!
161025 19:18:28 [ERROR] InnoDB: Could not open or create the system tablespace. If you tried to add new data files to the system tablespace, and it failed here, you should now edit innodb_data_file_path in my.cnf back to what it was, and remove the new ibdata files InnoDB created in this failed attempt. InnoDB only wrote those files full of zeros, but did not yet use them in any way. But be careful: do not remove old data files which contain your precious data!
161025 19:18:28 [ERROR] Plugin 'InnoDB' init function returned error.
161025 19:18:28 [ERROR] Plugin 'InnoDB' registration as a STORAGE ENGINE failed.
161025 19:18:28 [ERROR] Unknown/unsupported storage engine: innodb
161025 19:18:28 [ERROR] Aborting

161025 19:18:28 [Note] /usr/sbin/mysqld: Shutdown complete
Comment 7 Denis Kurz 2017-01-08 00:06:29 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.

Beetle: Sorry, the version you use is still much too old.